<?php
/**
 * Klasa administratora
 *
 */
class MfAdminGroupToAccess  extends DataObject {

	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_admin_group_to_access';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_admin_group_to_access';
		
	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tabela mapująca pola z bazy SQL na pola klasy.
	 */
	static $fields = array(
		'id_mf_admin_group_to_access' =>'id',
		'id_mf_agmin_group' =>'idMfAdminGroup',
		'id_mf_admin_access' =>'idMfAdminAccess'
	);

	protected $id;
	private $idMfAdminGroup;
	private $idMfAdminAccess;

	public function GetId() {
		return $this->id;
	}

	public function SetId($id) {
		$this->id = $id;
	}

	public function GetIdMfAdminGroup() {
		return $this->idMfAdminGroup;
	}

	public function SetIdMfAdminGroup($idMfAdminGroup) {
		$this->idMfAdminGroup = $idMfAdminGroup;
	}

	public function GetIdMfAdminAccess() {
		return $this->idMfAdminAccess;
	}

	public function SetIdMfAdminAccess($idMfAdminAccess) {
		$this->idMfAdminAccess = $idMfAdminAccess;
	}


	public function __construct($id = -1) {

	}

	 /**
	 * Pobiera nazwę tabeli reprezentującej obiekt w SQL
	 * @return string
	 */

	public  function GetTableName(){
		return self::$tableName;
      }
	/**
       * Pobiera taablice mapującą pola klasy na pola tabeli
       * @return array
       */
	public  function GetFields(){
		return self::$fields;
      }
	/**
       * Pobiera nazwę klasy
       * @return string
       */
	public  function GetClassName(){
		return self::$className;
      }


    public function GetClassTablePK() {
        return self::$classTablePK;
    }
}
?>